﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.34209
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml.Serialization;
using System.Configuration;

// 
// This source code was auto-generated by wsdl, Version=4.0.30319.33440.
// 

namespace ProvisioningServiceNM
{
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name = "ProvisioningServiceSoapBinding", Namespace = "http://bpm.webservices.dn8.sprint.com/")]
    public partial class ProvisioningService : System.Web.Services.Protocols.SoapHttpClientProtocol
    {

        private System.Threading.SendOrPostCallback newProvisioningEventMessageOperationCompleted;

        /// <remarks/>
        public ProvisioningService()
        {
            this.Url = ConfigurationManager.AppSettings["Url"].ToString();
        }

        /// <remarks/>
        public event newProvisioningEventMessageCompletedEventHandler newProvisioningEventMessageCompleted;

        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("", RequestNamespace = "http://bpm.webservices.dn8.sprint.com/", ResponseNamespace = "http://bpm.webservices.dn8.sprint.com/", Use = System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle = System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("newProvisioningEventMessage")]
        public ProvisioningEventResponseType newProvisioningEventMessage(ProvisioningEventMessageRequestType provisioningEventMessageRequest)
        {
            object[] results = this.Invoke("newProvisioningEventMessage", new object[] {
                    provisioningEventMessageRequest});
            return ((ProvisioningEventResponseType)(results[0]));
        }

        /// <remarks/>
        public System.IAsyncResult BeginnewProvisioningEventMessage(ProvisioningEventMessageRequestType provisioningEventMessageRequest, System.AsyncCallback callback, object asyncState)
        {
            return this.BeginInvoke("newProvisioningEventMessage", new object[] {
                    provisioningEventMessageRequest}, callback, asyncState);
        }

        /// <remarks/>
        public ProvisioningEventResponseType EndnewProvisioningEventMessage(System.IAsyncResult asyncResult)
        {
            object[] results = this.EndInvoke(asyncResult);
            return ((ProvisioningEventResponseType)(results[0]));
        }

        /// <remarks/>
        public void newProvisioningEventMessageAsync(ProvisioningEventMessageRequestType provisioningEventMessageRequest)
        {
            this.newProvisioningEventMessageAsync(provisioningEventMessageRequest, null);
        }

        /// <remarks/>
        public void newProvisioningEventMessageAsync(ProvisioningEventMessageRequestType provisioningEventMessageRequest, object userState)
        {
            if ((this.newProvisioningEventMessageOperationCompleted == null))
            {
                this.newProvisioningEventMessageOperationCompleted = new System.Threading.SendOrPostCallback(this.OnnewProvisioningEventMessageOperationCompleted);
            }
            this.InvokeAsync("newProvisioningEventMessage", new object[] {
                    provisioningEventMessageRequest}, this.newProvisioningEventMessageOperationCompleted, userState);
        }

        private void OnnewProvisioningEventMessageOperationCompleted(object arg)
        {
            if ((this.newProvisioningEventMessageCompleted != null))
            {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.newProvisioningEventMessageCompleted(this, new newProvisioningEventMessageCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }

        /// <remarks/>
        public new void CancelAsync(object userState)
        {
            base.CancelAsync(userState);
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://bpm.webservices.dn8.sprint.com/")]
    public partial class ProvisioningEventMessageRequestType
    {

        private CommonHeaderType commonHeaderField;

        private ProvisioningEventMessageType provisioningEventMessageField;

        /// <remarks/>
        public CommonHeaderType commonHeader
        {
            get
            {
                return this.commonHeaderField;
            }
            set
            {
                this.commonHeaderField = value;
            }
        }

        /// <remarks/>
        public ProvisioningEventMessageType provisioningEventMessage
        {
            get
            {
                return this.provisioningEventMessageField;
            }
            set
            {
                this.provisioningEventMessageField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://bpm.webservices.dn8.sprint.com/")]
    public partial class CommonHeaderType
    {

        private string sendingApplicationIdField;

        private string sharedSecretField;

        private string transactionIdField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string sendingApplicationId
        {
            get
            {
                return this.sendingApplicationIdField;
            }
            set
            {
                this.sendingApplicationIdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string sharedSecret
        {
            get
            {
                return this.sharedSecretField;
            }
            set
            {
                this.sharedSecretField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string transactionId
        {
            get
            {
                return this.transactionIdField;
            }
            set
            {
                this.transactionIdField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://bpm.webservices.dn8.sprint.com/")]
    public partial class CommonResponseHeaderType
    {

        private string transactionIdField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string transactionId
        {
            get
            {
                return this.transactionIdField;
            }
            set
            {
                this.transactionIdField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://bpm.webservices.dn8.sprint.com/")]
    public partial class ProvisioningEventResponseType
    {

        private CommonResponseHeaderType commonResponseHeaderField;

        /// <remarks/>
        public CommonResponseHeaderType commonResponseHeader
        {
            get
            {
                return this.commonResponseHeaderField;
            }
            set
            {
                this.commonResponseHeaderField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://bpm.webservices.dn8.sprint.com/")]
    public partial class ProvisioningChargeType
    {

        private string chargeCodeField;

        private string chargeDescriptionField;

        private decimal chargeAmtField;

        private string currencyField;

        /// <remarks/>
        public string chargeCode
        {
            get
            {
                return this.chargeCodeField;
            }
            set
            {
                this.chargeCodeField = value;
            }
        }

        /// <remarks/>
        public string chargeDescription
        {
            get
            {
                return this.chargeDescriptionField;
            }
            set
            {
                this.chargeDescriptionField = value;
            }
        }

        /// <remarks/>
        public decimal chargeAmt
        {
            get
            {
                return this.chargeAmtField;
            }
            set
            {
                this.chargeAmtField = value;
            }
        }

        /// <remarks/>
        public string currency
        {
            get
            {
                return this.currencyField;
            }
            set
            {
                this.currencyField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://bpm.webservices.dn8.sprint.com/")]
    public partial class ProvisioningEventMessageType
    {

        private string h6CustIdField;

        private string orderNbrField;

        private string msgTypeField;

        private string notesField;

        private System.DateTime eventDateField;

        private string messageField;

        private ProvisioningChargeType[] chargesField;

        private string nuaField;

        private string circuitIdField;

        private string oldNuaField;

        private string oldCircuitIdField;

        private string cpeDeviceIdField;

        private string purchaseOrderNumberField;

        private string cpeSupplierField;

        private string[] orderComponentsField;

        /// <remarks/>
        public string h6CustId
        {
            get
            {
                return this.h6CustIdField;
            }
            set
            {
                this.h6CustIdField = value;
            }
        }

        /// <remarks/>
        public string orderNbr
        {
            get
            {
                return this.orderNbrField;
            }
            set
            {
                this.orderNbrField = value;
            }
        }

        /// <remarks/>
        public string msgType
        {
            get
            {
                return this.msgTypeField;
            }
            set
            {
                this.msgTypeField = value;
            }
        }

        /// <remarks/>
        public string notes
        {
            get
            {
                return this.notesField;
            }
            set
            {
                this.notesField = value;
            }
        }

        /// <remarks/>
        public System.DateTime eventDate
        {
            get
            {
                return this.eventDateField;
            }
            set
            {
                this.eventDateField = value;
            }
        }

        /// <remarks/>
        public string message
        {
            get
            {
                return this.messageField;
            }
            set
            {
                this.messageField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("charges")]
        public ProvisioningChargeType[] charges
        {
            get
            {
                return this.chargesField;
            }
            set
            {
                this.chargesField = value;
            }
        }

        /// <remarks/>
        public string nua
        {
            get
            {
                return this.nuaField;
            }
            set
            {
                this.nuaField = value;
            }
        }

        /// <remarks/>
        public string circuitId
        {
            get
            {
                return this.circuitIdField;
            }
            set
            {
                this.circuitIdField = value;
            }
        }

        /// <remarks/>
        public string oldNua
        {
            get
            {
                return this.oldNuaField;
            }
            set
            {
                this.oldNuaField = value;
            }
        }

        /// <remarks/>
        public string oldCircuitId
        {
            get
            {
                return this.oldCircuitIdField;
            }
            set
            {
                this.oldCircuitIdField = value;
            }
        }

        /// <remarks/>
        public string cpeDeviceId
        {
            get
            {
                return this.cpeDeviceIdField;
            }
            set
            {
                this.cpeDeviceIdField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string purchaseOrderNumber
        {
            get
            {
                return this.purchaseOrderNumberField;
            }
            set
            {
                this.purchaseOrderNumberField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable = true)]
        public string cpeSupplier
        {
            get
            {
                return this.cpeSupplierField;
            }
            set
            {
                this.cpeSupplierField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute("orderComponents")]
        public string[] orderComponents
        {
            get
            {
                return this.orderComponentsField;
            }
            set
            {
                this.orderComponentsField = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    public delegate void newProvisioningEventMessageCompletedEventHandler(object sender, newProvisioningEventMessageCompletedEventArgs e);

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("wsdl", "4.0.30319.33440")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class newProvisioningEventMessageCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs
    {

        private object[] results;

        internal newProvisioningEventMessageCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) :
                base(exception, cancelled, userState)
        {
            this.results = results;
        }

        /// <remarks/>
        public ProvisioningEventResponseType Result
        {
            get
            {
                this.RaiseExceptionIfNecessary();
                return ((ProvisioningEventResponseType)(this.results[0]));
            }
        }
    }
}